package ap

import "net/url"

// Sent when a follow request is approved, manually or automatically
type AcceptAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Url to this action
	Type    string          `json:"type"`               // Should always be "Accept"
	Actor   url.URL         `json:"actor"`              // Who is accepting what
	Object  FollowAction    `json:"object"`             // Action that is being accepted
}
