package ap

import "net/url"

// Announce == boost/share/retweet
type AnnounceAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Url to this action
	Type    string          `json:"type"`               // Should always be "Announce"
	Actor   url.URL         `json:"actor"`              // Who is announcing something
	To      []url.URL       `json:"to"`                 // Targets to share to
	Cc      []url.URL       `json:"cc"`                 // More targets to send to
	Object  any             `json:"object"`             // Url to announced object. Url or embedded object, usually a note or survey
}
