package ap

import (
	"net/url"
)

// When a message is deleted
type DeleteAction struct {
	Context   *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id        url.URL         `json:"id"`                 // Location of this resource
	Type      string          `json:"type"`               // Should always be "Delete"
	Actor     url.URL         `json:"actor"`              // Account deleting something
	Target    any             `json:"object"`             // What is being deleted, url or some object
	Signature any             `json:"signature"`          // Probably useless
}
