package ap

import "net/url"

// Action to like a post
type LikeAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Url to this action
	Type    string          `json:"type"`               // Should always be "Like"
	Actor   url.URL         `json:"actor"`              // Who is liking something
	Object  url.URL         `json:"object"`             // What is being liked

	// Reaction data Misskey style
	Content    *string `json:"content,omitempty"`           // Raw emote name
	MkReaction *string `json:"_misskey_reaction,omitempty"` // Misskey version of content
	Tag        []Emote `json:"tag,omitempty"`               // Emote in use
}
