package ap

import "net/url"

// Undoes one action
type UndoAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Location of this resource
	Type    string          `json:"type"`               // Should always be "Undo"
	Actor   url.URL         `json:"actor"`              // Account instanciating the follow request
	Target  any             `json:"object"`             // Action to undo, usually a like or follow
}
