// Copyright (c) 2024 mStar
//
// Licensed under the EUPL, Version 1.2
//
// You may not use this work except in compliance with the Licence.
// You should have received a copy of the Licence along with this work. If not, see:
// <https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12>.
// See the Licence for the specific language governing permissions and limitations under the Licence.
//

package ap

import (
	"net/http"

	"github.com/julienschmidt/httprouter"
	"gitlab.com/mstarongitlab/linstrom/server"
)

func Register(server *server.Server) {
	server.Router.GET("/api/ap/user/:id", GetUser(server))
	server.Router.GET("/.well-known/webfinger", WebfingerEndpoint(server))
}

func GetUser(server *server.Server) func(http.ResponseWriter, *http.Request, httprouter.Params) {
	return func(w http.ResponseWriter, r *http.Request, _ httprouter.Params) {}
}
